MKFS.F2FS(8)

NAME
mkfs.f2fs - create an F2FS file system

SYNOPSIS
mkfs.f2fs [ -a heap-based-allocation ] [ -l volume-label ] [ -o overprovision-ratio-percentage ] [ -s log-based-#-of-segments-per-section ] [ -z #-of-sections-per-zone ] device

DESCRIPTION
mkfs.f2fs is used to create a f2fs file system (usually in a disk partition). device is the special file corresponding to the device (e.g. /dev/sdXX).

The exit code returned by mkfs.f2fs is 0 on success and 1 on failure.

OPTIONS

-a heap-based-allocation
    Specify 1 or 0 to enable/disable heap based block allocation policy. If the value is equal to 1, each of active log areas are initially assigned separately according to the whole volume size. The default value is 1.

-l volume-label
    Specify the volume label to the partition mounted as F2FS.

-o overprovision-ratio-percentage
    Specify the percentage over the volume size for overprovision area. This area is hidden to users, and utilized by F2FS cleaner. The default percentage is 5%.

-s log-based-#-of-segments-per-section
    Specify the log-based number of segments per section. A section consists of multiple consecutive segments, and is the unit of garbage collection. The default number is 0, which means one segment is assigned to a section.

-z #-of-sections-per-zone
    Specify the number of sections per zone. A zone consists of multiple sections. F2FS allocates segments for active logs with separated zones as much as possible. The default number is 1, which means a zone consists of one section.

AUTHOR
This version of mkfs.f2fs has been written by Jaegeuk Kim <jaegeuk.kim@samsung.com>.

AVAILABILITY
mkfs.f2fs is available from http://sourceforge.net/projects/f2fs-tools/.

SEE ALSO
mkfs(8).